Subject: Re: linux-next: manual merge of the rr tree with the tree

From: Greg Ungerer <[email-masked]>
Date: Mon, 25 Jul 2011 12:09:35 +1000

Hi Stephen,

On 25/07/11 11:43, Stephen Rothwell wrote:
> Hi Greg,
>
> On Thu, 7 Jul 2011 10:24:32 +1000 Stephen Rothwell<[email-masked]>  wrote:
>>
>> On Thu, 7 Jul 2011 09:44:51 +1000 Greg Ungerer<[email-masked]>  wrote:
>>>
>>> On 07/07/11 01:57, Jonas Bonn wrote:
>>>>
>>>> On Tue, 2011-07-05 at 13:59 +1000, Stephen Rothwell wrote:
>>>>>
>>>>> Today's linux-next merge of the rr tree got a conflict in
>>>>> arch/m68k/kernel/module_mm.c arch/m68k/kernel/module_no.c between commit
>>>>> 4528acce2607 ("m68k: merge the non-mmu and mmu versions of module.c")
>>>>> from the m68knommu tree and commit 7b935befe6bc ("modules: make arch's
>>>>> use default loader hooks") from the rr tree.
>>>>>
>>>>> The former removes these files, so I did that.
>>>>>
>>>>> I then added this merge fix up patch (which I can carry as necessary and
>>>>> may not be coorrect):
>>>>>
>>>>> From: Stephen Rothwell<[email-masked]>
>>>>> Date: Tue, 5 Jul 2011 13:12:26 +1000
>>>>> Subject: [PATCH] modules/m68k: make arch's use default loader hooks
>>>>>
>>>>> Signed-off-by: Stephen Rothwell<[email-masked]>
>>>>> ---
>>>>>    arch/m68k/kernel/module.c |   27 ---------------------------
>>>>>    1 files changed, 0 insertions(+), 27 deletions(-)
>>>>>
>>>>
>>>> That patch looks good to me.
>>>>
>>>> Acked-by: Jonas Bonn<[email-masked]>
>>>
>>> Looks fine to me too:
>>>
>>> Acked-by: Greg Ungerer<[email-masked]>
>>
>> OK, so now someone just has to remember to apply it (or tell Linus, or
>> fix up the trees) during the merge window.   That person probably won't
>> be me (since I will not be online next week (assuming Linus follows
>> through and opens the merge window next week).
>
> This patch now needs to be applied to the m68knommu tree (after merging
> Linus' tree) as Rusty's changes have gone upstream.
>
> Here is the patch I have applied again for reference:

Thanks Stephen, I saw this morning too. I have just now (as of about
30 minutes ago) fixed this patch, and pushed it up to the m68knommu git
tree.

I'll probably be sending a pull request to Linus later today.

Thanks
Greg

> From: Stephen Rothwell<[email-masked]>
> Date: Tue, 5 Jul 2011 13:12:26 +1000
> Subject: [PATCH] modules/m68k: make arch's use default loader hooks
>
> Signed-off-by: Stephen Rothwell<[email-masked]>
> ---
>   arch/m68k/kernel/module.c |   27 ---------------------------
>   1 files changed, 0 insertions(+), 27 deletions(-)
>
> diff --git a/arch/m68k/kernel/module.c b/arch/m68k/kernel/module.c
> index 146d646..34849c4 100644
> --- a/arch/m68k/kernel/module.c
> +++ b/arch/m68k/kernel/module.c
> @@ -19,29 +19,6 @@
>
>   #ifdef CONFIG_MODULES
>
> -void *module_alloc(unsigned long size)
> -{
> -	if (size == 0)
> -		return NULL;
> -	return vmalloc(size);
> -}
> -
> -
> -/* Free memory returned from module_alloc */
> -void module_free(struct module *mod, void *module_region)
> -{
> -	vfree(module_region);
> -}
> -
> -/* We don't need anything special. */
> -int module_frob_arch_sections(Elf_Ehdr *hdr,
> -			      Elf_Shdr *sechdrs,
> -			      char *secstrings,
> -			      struct module *mod)
> -{
> -	return 0;
> -}
> -
>   int apply_relocate(Elf32_Shdr *sechdrs,
>   		   const char *strtab,
>   		   unsigned int symindex,
> @@ -130,10 +107,6 @@ int module_finalize(const Elf_Ehdr *hdr,
>   	return 0;
>   }
>
> -void module_arch_cleanup(struct module *mod)
> -{
> -}
> -
>   #endif /* CONFIG_MODULES */
>
>   void module_fixup(struct module *mod, struct m68k_fixup_info *start,

-- 
------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear Group, McAfee                      PHONE:       +61 7 3435 2888
8 Gardner Close                             FAX:         +61 7 3217 5323
Milton, QLD, 4064, Australia                WEB: http://www.SnapGear.com